{% extends 'symbiarts_app/base.html' %}
{% load static %}
{% block title %}Tienda Symbiarts - Detalle venta #{{ venta.id }}{% endblock %}

{% block navbar %}
    {% include 'symbiarts_app/navbar.html' %}
{% endblock %}

{% load humanize %}

{% block content %}
    <h2 class="mt-3 text-white">Venta #{{ venta.id }} <small class="text-muted">{{ venta.fecha }}</small></h2>
        <div class="row">
            <div class="col">
                <div class="card p-3">
                    <h4>Resumen de venta</h4>
                    <table class="table table-hover mt-2">
                        <thead>
                            <tr>
                                <td><h5>Obra</h5></td>
                                <td><h5>Cantidad</h5></td>
                                <td class="text-right"><h5>Total</h5></td>
                            </tr>
                        </thead>
                        <tbody>
                            {% for detalle in venta.detalle_venta_obra.all %}
                                {% if detalle.obra_artista == user %}
                                    <tr>
                                        <td>
                                            <h6><a href="{% url 'symbiarts_app:detalle_obra' pk=detalle.obra_id %}">{{ detalle.obra_nombre }}</a></h6>
                                        </td>
                                        <td>
                                            <h6>{{ detalle.cantidad_obra }}</h6>
                                        </td>
                                        <td class="text-right">
                                            <h6>${{ detalle.precio_total }}</h6>
                                        </td>
                                    </tr>
                                {% endif %}
                            {% endfor %}
                        </tbody>
                        <tfoot>
                            <tr>
                                <td><h5>Total Obras</h5></td>
                                <td><h5>{{ cantidad_obras_vendedor }}</h5></td>
                                <td class="text-right">
                                    <h5>$ {{ precio_total_vendedor }}</h5>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
                <div class="card mt-3 p-3">
                    <h4>Detalle de facturacion</h4>
                    <p>Medio de pago: <a href="https://www.mercadopago.com.ar/activities" target="_blank">{{ venta.metodo_pago }}</a></p>
                    <p>{{ venta.cliente.username }}</p>
                    <p>Operación <b>#{{ venta.id_pago}}</b></p>
                </div>

                <div class="card mt-3 p-3">
                    <h4>Detalle obras</h4>
                    {% for detalle in venta.detalle_venta_obra.all %}
                        {% if detalle.obra_artista == user %}
                            {% if forloop.counter > 1 %}
                                <hr class="m-0">
                            {% endif %}
                            <div class="row p-3">
                                <div class="col">
                                    {% if detalle.obra_url_imagen %}
                                        <img src="{{ detalle.obra_url_imagen }}" class="img-fluid" alt="{{ detalle.obra_nombre }}">
                                    {% else %}
                                        <img src="{% static 'img/default.svg' %}" class="img-fluid" alt="{{ detalle.obra_nombre }}">
                                    {% endif %}
                                </div>
                                <div class="col">
                                    {% if detalle.obra_id > 0 %}
                                        <h5><a href="{% url 'symbiarts_app:detalle_obra' pk=detalle.obra_id %}">{{ detalle.obra_nombre }}</a></h5>
                                    {% else %}
                                        <p>Ups <i class="far fa-sad-tear"></i> esta obra fue eliminada</p>
                                    {% endif %}
                                    {% if detalle.cantidad_obra == 1 %}
                                        <p>Total: ${{ detalle.precio_total }} ({{ detalle.cantidad_obra }} unidad)</p>
                                    {% else %}
                                        <p>Total: ${{ detalle.precio_total }} ({{ detalle.cantidad_obra }} unidades)</p>
                                    {% endif %}
                                    <div class="float-left">
                                        <i class="fas fa-user-circle fa-3x"></i>
                                    </div>
                                    <div class="float-left pl-2">
                                        <p class="font-weight-bold mb-0">Comprador</p>
                                        <p>{{ detalle.obra_artista }}</p>
                                    </div>
                                </div>
                            </div>
                        {% endif %}
                    {% endfor %}
                </div>
            </div>
        </div>
{% endblock %}
